
/* File generated by gen_cfile.py. Should not be modified. */

#include "TestMaster.h"

/**************************************************************************/
/* Declaration of mapped variables                                        */
/**************************************************************************/
INTEGER8 Write_Analogue_Output_8_Bit[] =		/* Mapped at index 0x6410, subindex 0x01 - 0x01 */
  {
    0x0	/* 0 */
  };
INTEGER16 Write_Analogue_Output_16_Bit[] =		/* Mapped at index 0x6411, subindex 0x01 - 0x01 */
  {
    0x0	/* 0 */
  };
INTEGER32 Write_Analogue_Output_32_Bit[] =		/* Mapped at index 0x6412, subindex 0x01 - 0x02 */
  {
    0x0,	/* 0 */
    0x0	/* 0 */
  };

/**************************************************************************/
/* Declaration of value range types                                       */
/**************************************************************************/

#define valueRange_EMC 0x9F /* Type for index 0x1003 subindex 0x00 (only set of value 0 is possible) */
UNS32 ObjDict_valueRangeTest (UNS8 typeValue, void * value)
{
  switch (typeValue) {
    case valueRange_EMC:
      if (*(UNS8*)value != (UNS8)0) return OD_VALUE_RANGE_EXCEEDED;
      break;
  }
  return 0;
}

/**************************************************************************/
/* The node id                                                            */
/**************************************************************************/
/* node_id default value.*/
UNS8 ObjDict_bDeviceNodeId = 0x00;

/**************************************************************************/
/* Array of message processing information */

const UNS8 ObjDict_iam_a_slave = 0;

TIMER_HANDLE ObjDict_heartBeatTimers[1] = {TIMER_NONE};

/*
$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

                               OBJECT DICTIONARY

$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
*/

/* index 0x1000 :   Device Type. */
                    UNS32 ObjDict_obj1000 = 0x30191;	/* 197009 */
                    const CONSTSTORE subindex ObjDict_Index1000[] = 
                     {
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1000 }
                     };

/* index 0x1001 :   Error Register. */
                    UNS8 ObjDict_obj1001 = 0x0;	/* 0 */
                    const CONSTSTORE subindex ObjDict_Index1001[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1001 }
                     };

/* index 0x1003 :   Pre-defined Error Field. */
                    UNS8 ObjDict_highestSubIndex_obj1003 = 0; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1003[] = 
                    {
                      0x0	/* 0 */
                    };
                    ODCallback_t ObjDict_Index1003_callbacks[] = 
                     {
                       NULL,
                       NULL,
                     };
                    const CONSTSTORE subindex ObjDict_Index1003[] = 
                     {
                       { RW, valueRange_EMC, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1003 },
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1003[0] }
                     };

/* index 0x1005 :   SYNC COB ID. */
                    UNS32 ObjDict_obj1005 = 0x80;	/* 128 */
                    ODCallback_t ObjDict_Index1005_callbacks[] = 
                     {
                       NULL,
                     };
                    const CONSTSTORE subindex ObjDict_Index1005[] = 
                     {
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1005 }
                     };

/* index 0x1006 :   Communication / Cycle Period */
                    UNS32 ObjDict_obj1006 = 0x0;   /* 0 */

/* index 0x1008 :   Manufacturer Device Name. */
                    const CONSTSTORE char ObjDict_obj1008[10] = "ToFSensor";
                    const CONSTSTORE subindex ObjDict_Index1008[] = 
                     {
                       { CONST, visible_string, 10, .pObjectConst=&ObjDict_obj1008 }
                     };

/* index 0x1009 :   Manufacturer Hardware Version. */
                    const CONSTSTORE char ObjDict_obj1009[10] = "0.1.0";
                    const CONSTSTORE subindex ObjDict_Index1009[] = 
                     {
                       { CONST, visible_string, 10, .pObjectConst=&ObjDict_obj1009 }
                     };

/* index 0x100A :   Manufacturer Software Version. */
                    const CONSTSTORE char ObjDict_obj100A[10] = "0.1.0";
                    const CONSTSTORE subindex ObjDict_Index100A[] = 
                     {
                       { CONST, visible_string, 10, .pObjectConst=&ObjDict_obj100A }
                     };

/* index 0x100C :   Guard Time */ 
                    UNS16 ObjDict_obj100C = 0x0;   /* 0 */

/* index 0x100D :   Life Time Factor */ 
                    UNS8 ObjDict_obj100D = 0x0;   /* 0 */

/* index 0x1014 :   Emergency COB ID. */
                    UNS32 ObjDict_obj1014 = 0x80;	/* 128 */
                    const CONSTSTORE subindex ObjDict_Index1014[] = 
                     {
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1014 }
                     };

/* index 0x1016 :   Consumer Heartbeat Time. */
                    UNS8 ObjDict_highestSubIndex_obj1016 = 1; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1016[] = 
                    {
                            (2<<16)|0xFA0	/* 4000 */
                    };
                    const CONSTSTORE subindex ObjDict_Index1016[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1016 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1016[0] }
                     };

/* index 0x1017 :   Producer Heartbeat Time. */
                    UNS16 ObjDict_obj1017 = 0xDAC;	/* 0 */
                    ODCallback_t ObjDict_Index1017_callbacks[] = 
                     {
                       NULL,
                     };
                    const CONSTSTORE subindex ObjDict_Index1017[] = 
                     {
                       { RW, uint16, sizeof (UNS16), .pObject=&ObjDict_obj1017 }
                     };

/* index 0x1018 :   Identity. */
                    UNS8 ObjDict_highestSubIndex_obj1018 = 4; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1018_Vendor_ID = 0x0;	/* 0 */
                    UNS32 ObjDict_obj1018_Product_Code = 0x0;	/* 0 */
                    UNS32 ObjDict_obj1018_Revision_Number = 0x0;	/* 0 */
                    UNS32 ObjDict_obj1018_Serial_Number = 0x0;	/* 0 */
                    const CONSTSTORE subindex ObjDict_Index1018[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1018 },
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1018_Vendor_ID },
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1018_Product_Code },
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1018_Revision_Number },
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1018_Serial_Number }
                     };

/* index 0x1200 :   Server SDO Parameter. */
                    UNS8 ObjDict_highestSubIndex_obj1200 = 2; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1200_COB_ID_Client_to_Server_Receive_SDO = 0x600;	/* 1536 */
                    UNS32 ObjDict_obj1200_COB_ID_Server_to_Client_Transmit_SDO = 0x580;	/* 1408 */
                    const CONSTSTORE subindex ObjDict_Index1200[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1200 },
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1200_COB_ID_Client_to_Server_Receive_SDO },
                       { RO, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1200_COB_ID_Server_to_Client_Transmit_SDO }
                     };

/* index 0x1280 :   Client SDO 1 Parameter. */
                    UNS8 ObjDict_highestSubIndex_obj1280 = 3; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1280_COB_ID_Client_to_Server_Transmit_SDO = 0x603;	/* 1539 */
                    UNS32 ObjDict_obj1280_COB_ID_Server_to_Client_Receive_SDO = 0x583;	/* 1411 */
                    UNS8 ObjDict_obj1280_Node_ID_of_the_SDO_Server = 0x2;	/* 2 */
                    const CONSTSTORE subindex ObjDict_Index1280[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1280 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1280_COB_ID_Client_to_Server_Transmit_SDO },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1280_COB_ID_Server_to_Client_Receive_SDO },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1280_Node_ID_of_the_SDO_Server }
                     };

/* index 0x1400 :   Receive PDO 1 Parameter. */
                    UNS8 ObjDict_highestSubIndex_obj1400 = 5; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1400_COB_ID_used_by_PDO = 0x182;	/* 386 */
                    UNS8 ObjDict_obj1400_Transmission_Type = 0x1;	/* 1 */
                    UNS16 ObjDict_obj1400_Inhibit_Time = 0x0;	/* 0 */
                    UNS8 ObjDict_obj1400_Compatibility_Entry = 0x0;	/* 0 */
                    UNS16 ObjDict_obj1400_Event_Timer = 0x0;	/* 0 */
                    const CONSTSTORE subindex ObjDict_Index1400[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1400 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1400_COB_ID_used_by_PDO },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1400_Transmission_Type },
                       { RW, uint16, sizeof (UNS16), .pObject=&ObjDict_obj1400_Inhibit_Time },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1400_Compatibility_Entry },
                       { RW, uint16, sizeof (UNS16), .pObject=&ObjDict_obj1400_Event_Timer }
                     };

/* index 0x1401 :   Receive PDO 2 Parameter. */
                    UNS8 ObjDict_highestSubIndex_obj1401 = 6; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1401_COB_ID_used_by_PDO = 0x282;	/* 642 */
                    UNS8 ObjDict_obj1401_Transmission_Type = 0x1;	/* 1 */
                    UNS16 ObjDict_obj1401_Inhibit_Time = 0x0;	/* 0 */
                    UNS8 ObjDict_obj1401_Compatibility_Entry = 0x0;	/* 0 */
                    UNS16 ObjDict_obj1401_Event_Timer = 0x0;	/* 0 */
                    UNS8 ObjDict_obj1401_SYNC_start_value = 0x0;	/* 0 */
                    const CONSTSTORE subindex ObjDict_Index1401[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1401 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1401_COB_ID_used_by_PDO },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1401_Transmission_Type },
                       { RW, uint16, sizeof (UNS16), .pObject=&ObjDict_obj1401_Inhibit_Time },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1401_Compatibility_Entry },
                       { RW, uint16, sizeof (UNS16), .pObject=&ObjDict_obj1401_Event_Timer },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1401_SYNC_start_value }
                     };

/* index 0x1600 :   Receive PDO 1 Mapping. */
                    UNS8 ObjDict_highestSubIndex_obj1600 = 2; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1600[] = 
                    {
                      0x64100108,	/* 1678770440 */
                      0x64110110	/* 1678835984 */
                    };
                    const CONSTSTORE subindex ObjDict_Index1600[] = 
                     {
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1600 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1600[0] },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1600[1] }
                     };

/* index 0x1601 :   Receive PDO 2 Mapping. */
                    UNS8 ObjDict_highestSubIndex_obj1601 = 2; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1601[] = 
                    {
                      0x64120120,	/* 1678901536 */
                      0x64120220	/* 1678901792 */
                    };
                    const CONSTSTORE subindex ObjDict_Index1601[] = 
                     {
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1601 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1601[0] },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1601[1] }
                     };

/* index 0x1800 :   Transmit PDO 1 Parameter. */
                    UNS8 ObjDict_highestSubIndex_obj1800 = 5; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1800_COB_ID_used_by_PDO = 0x180;	/* 384 */
                    UNS8 ObjDict_obj1800_Transmission_Type = 0xFF;	/* 255 */
                    UNS16 ObjDict_obj1800_Inhibit_Time = 0x0;	/* 0 */
                    UNS8 ObjDict_obj1800_Compatibility_Entry = 0x0;	/* 0 */
                    UNS16 ObjDict_obj1800_Event_Timer = 0x0;	/* 0 */
                    ODCallback_t ObjDict_Index1800_callbacks[] = 
                     {
                       NULL,
                       NULL,
                       NULL,
                       NULL,
                       NULL,
                       NULL,
                     };
                    const CONSTSTORE subindex ObjDict_Index1800[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1800 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1800_COB_ID_used_by_PDO },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1800_Transmission_Type },
                       { RW, uint16, sizeof (UNS16), .pObject=&ObjDict_obj1800_Inhibit_Time },
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_obj1800_Compatibility_Entry },
                       { RW, uint16, sizeof (UNS16), .pObject=&ObjDict_obj1800_Event_Timer }
                     };

/* index 0x1A00 :   Transmit PDO 1 Mapping. */
                    UNS8 ObjDict_highestSubIndex_obj1A00 = 1; /* number of subindex - 1*/
                    UNS32 ObjDict_obj1A00[] = 
                    {
                      0x0	/* 0 */
                    };
                    const CONSTSTORE subindex ObjDict_Index1A00[] = 
                     {
                       { RW, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj1A00 },
                       { RW, uint32, sizeof (UNS32), .pObject=&ObjDict_obj1A00[0] }
                     };

/* index 0x6410 :   Mapped variable Write Analogue Output 8 Bit */
                    UNS8 ObjDict_highestSubIndex_obj6410 = 1; /* number of subindex - 1*/
                    const CONSTSTORE subindex ObjDict_Index6410[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj6410 },
                       { RW, int8, sizeof (INTEGER8), .pObject=&Write_Analogue_Output_8_Bit[0] }
                     };

/* index 0x6411 :   Mapped variable Write Analogue Output 16 Bit */
                    UNS8 ObjDict_highestSubIndex_obj6411 = 1; /* number of subindex - 1*/
                    const CONSTSTORE subindex ObjDict_Index6411[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj6411 },
                       { RW, int16, sizeof (INTEGER16), .pObject=&Write_Analogue_Output_16_Bit[0] }
                     };

/* index 0x6412 :   Mapped variable Write Analogue Output 32 Bit */
                    UNS8 ObjDict_highestSubIndex_obj6412 = 2; /* number of subindex - 1*/
                    const CONSTSTORE subindex ObjDict_Index6412[] = 
                     {
                       { RO, uint8, sizeof (UNS8), .pObject=&ObjDict_highestSubIndex_obj6412 },
                       { RW, int32, sizeof (INTEGER32), .pObject=&Write_Analogue_Output_32_Bit[0] },
                       { RW, int32, sizeof (INTEGER32), .pObject=&Write_Analogue_Output_32_Bit[1] }
                     };

/**************************************************************************/
/* Declaration of pointed variables                                       */
/**************************************************************************/

const CONSTSTORE indextable ObjDict_objdict[] = 
{
  { (const CONSTSTORE subindex* const)ObjDict_Index1000,sizeof(ObjDict_Index1000)/sizeof(ObjDict_Index1000[0]), 0x1000},
  { (const CONSTSTORE subindex* const)ObjDict_Index1001,sizeof(ObjDict_Index1001)/sizeof(ObjDict_Index1001[0]), 0x1001},
  { (const CONSTSTORE subindex* const)ObjDict_Index1003,sizeof(ObjDict_Index1003)/sizeof(ObjDict_Index1003[0]), 0x1003},
  { (const CONSTSTORE subindex* const)ObjDict_Index1005,sizeof(ObjDict_Index1005)/sizeof(ObjDict_Index1005[0]), 0x1005},
  { (const CONSTSTORE subindex* const)ObjDict_Index1008,sizeof(ObjDict_Index1008)/sizeof(ObjDict_Index1008[0]), 0x1008},
  { (const CONSTSTORE subindex* const)ObjDict_Index1009,sizeof(ObjDict_Index1009)/sizeof(ObjDict_Index1009[0]), 0x1009},
  { (const CONSTSTORE subindex* const)ObjDict_Index100A,sizeof(ObjDict_Index100A)/sizeof(ObjDict_Index100A[0]), 0x100A},
  { (const CONSTSTORE subindex* const)ObjDict_Index1014,sizeof(ObjDict_Index1014)/sizeof(ObjDict_Index1014[0]), 0x1014},
  { (const CONSTSTORE subindex* const)ObjDict_Index1016,sizeof(ObjDict_Index1016)/sizeof(ObjDict_Index1016[0]), 0x1016},
  { (const CONSTSTORE subindex* const)ObjDict_Index1017,sizeof(ObjDict_Index1017)/sizeof(ObjDict_Index1017[0]), 0x1017},
  { (const CONSTSTORE subindex* const)ObjDict_Index1018,sizeof(ObjDict_Index1018)/sizeof(ObjDict_Index1018[0]), 0x1018},
  { (const CONSTSTORE subindex* const)ObjDict_Index1200,sizeof(ObjDict_Index1200)/sizeof(ObjDict_Index1200[0]), 0x1200},
  { (const CONSTSTORE subindex* const)ObjDict_Index1280,sizeof(ObjDict_Index1280)/sizeof(ObjDict_Index1280[0]), 0x1280},
  { (const CONSTSTORE subindex* const)ObjDict_Index1400,sizeof(ObjDict_Index1400)/sizeof(ObjDict_Index1400[0]), 0x1400},
  { (const CONSTSTORE subindex* const)ObjDict_Index1401,sizeof(ObjDict_Index1401)/sizeof(ObjDict_Index1401[0]), 0x1401},
  { (const CONSTSTORE subindex* const)ObjDict_Index1600,sizeof(ObjDict_Index1600)/sizeof(ObjDict_Index1600[0]), 0x1600},
  { (const CONSTSTORE subindex* const)ObjDict_Index1601,sizeof(ObjDict_Index1601)/sizeof(ObjDict_Index1601[0]), 0x1601},
  { (const CONSTSTORE subindex* const)ObjDict_Index1800,sizeof(ObjDict_Index1800)/sizeof(ObjDict_Index1800[0]), 0x1800},
  { (const CONSTSTORE subindex* const)ObjDict_Index1A00,sizeof(ObjDict_Index1A00)/sizeof(ObjDict_Index1A00[0]), 0x1A00},
  { (const CONSTSTORE subindex* const)ObjDict_Index6410,sizeof(ObjDict_Index6410)/sizeof(ObjDict_Index6410[0]), 0x6410},
  { (const CONSTSTORE subindex* const)ObjDict_Index6411,sizeof(ObjDict_Index6411)/sizeof(ObjDict_Index6411[0]), 0x6411},
  { (const CONSTSTORE subindex* const)ObjDict_Index6412,sizeof(ObjDict_Index6412)/sizeof(ObjDict_Index6412[0]), 0x6412},
};

const CONSTSTORE indextable * ObjDict_scanIndexOD (UNS16 wIndex, UNS32 * errorCode, ODCallback_t **callbacks)
{
	int i;
	*callbacks = NULL;
	switch(wIndex){
		case 0x1000: i = 0;break;
		case 0x1001: i = 1;break;
		case 0x1003: i = 2;*callbacks = ObjDict_Index1003_callbacks; break;
		case 0x1005: i = 3;*callbacks = ObjDict_Index1005_callbacks; break;
		case 0x1008: i = 4;break;
		case 0x1009: i = 5;break;
		case 0x100A: i = 6;break;
		case 0x1014: i = 7;break;
		case 0x1016: i = 8;break;
		case 0x1017: i = 9;*callbacks = ObjDict_Index1017_callbacks; break;
		case 0x1018: i = 10;break;
		case 0x1200: i = 11;break;
		case 0x1280: i = 12;break;
		case 0x1400: i = 13;break;
		case 0x1401: i = 14;break;
		case 0x1600: i = 15;break;
		case 0x1601: i = 16;break;
		case 0x1800: i = 17;*callbacks = ObjDict_Index1800_callbacks; break;
		case 0x1A00: i = 18;break;
		case 0x6410: i = 19;break;
		case 0x6411: i = 20;break;
		case 0x6412: i = 21;break;
		default:
			*errorCode = OD_NO_SUCH_OBJECT;
			return NULL;
	}
	*errorCode = OD_SUCCESSFUL;
	return &ObjDict_objdict[i];
}

/* 
 * To count at which received SYNC a PDO must be sent.
 * Even if no pdoTransmit are defined, at least one entry is computed
 * for compilations issues.
 */
s_PDO_status ObjDict_PDO_status[1] = {s_PDO_status_Initializer};

const CONSTSTORE quick_index ObjDict_firstIndex = {
  11, /* SDO_SVR */
  12, /* SDO_CLT */
  13, /* PDO_RCV */
  15, /* PDO_RCV_MAP */
  17, /* PDO_TRS */
  18 /* PDO_TRS_MAP */
};

const CONSTSTORE quick_index ObjDict_lastIndex = {
  11, /* SDO_SVR */
  12, /* SDO_CLT */
  14, /* PDO_RCV */
  16, /* PDO_RCV_MAP */
  17, /* PDO_TRS */
  18 /* PDO_TRS_MAP */
};

const CONSTSTORE UNS16 ObjDict_ObjdictSize = sizeof(ObjDict_objdict)/sizeof(ObjDict_objdict[0]); 

CO_Data ObjDict_Data = CANOPEN_NODE_DATA_INITIALIZER(ObjDict);

